System.Web 2.0.0.0 System.Object

The class is used by ASP.NET to create grouped properties in the property for the current . When properties are specified as a group of properties using the group Element for properties for profile (ASP.NET Settings Schema), ASP.NET creates a new class with strongly typed accessors for each property in the group. The new class inherits the base class. The strongly typed accessors of the new class call the and methods of the base class to retrieve and set profile property values, respectively.

The passes calls to get and set property values to the class that inherits the class that is supplied to the method of the class. See the class for more information on behaviors, exceptions, and so on.

This class is not intended to be created from your code.

Provides untyped access to grouped ASP.NET profile property values.

- Constructor

  ASP.NET uses the class to create grouped properties in the property for the current . When properties are specified as a group of properties using the group element, ASP.NET creates a new class with strongly typed accessors for each property in the group. The new class inherits the base class.

  This class is not intended to be created from your code.

  Creates an instance of the class.

  2.0.0.0
- Method
  System.Object ``

  ASP.NET uses the class to create the class for the user profile. When an application that has the user profile enabled is started, ASP.NET creates a new class of type ProfileCommon, which inherits from the class. Strongly typed accessors are added to the ProfileCommon class for each group and property defined in the profile configuration section. The strongly typed accessors of the ProfileCommon class call the method to retrieve untyped values from the that the generated accessor then casts as the specified type and returns as the grouped property value.

  You can use the method to retrieve grouped property values of the user profile for your application by name. Returned values are typed as object and must be cast as the specific object type when retrieved. For strongly typed access to profile property values, you can access the grouped property by name as a member of a group of the property, for example, Profile.Address.City.

  Gets the value of a grouped profile property.

  The value of the grouped profile property typed as object.

  The name of the grouped profile property. 2.0.0.0
- Method
  System.Void `` ``

  This method is not intended to be used from your code.

  Used by ASP.NET to initialize the grouped profile property values and information.

  The class that inherits that is assigned to the property. The name of the profile property group. 2.0.0.0
- Property
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` ``

  ASP.NET uses the class to create the class used for the user profile. When an application that has the user profile enabled is started, ASP.NET creates a new class of type ProfileCommon, which inherits from the class. Strongly typed accessors are added to the ProfileCommon class for each group and property defined in the profile configuration section. The strongly typed accessors of the ProfileCommon class call the method to pass grouped property values to the to be stored at the data source.

  You can use the method to assign values to grouped properties of the user profile for your application by name. Values are typed as object, and type checking will be done at run time, not compile time. For strongly typed access to profile property values, you can access the grouped property by name as a member of a group of the property, for example, Profile.Address.City.

  Sets the value of a grouped profile property.

  The name of the grouped property to set. The value to assign to the grouped property. 2.0.0.0